> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/de/automatisierung/runbooks/naming-conventions.md).

# Runbook-Namenskonventionen

RealmJoin-Runbook-Namenskonventionen: Wie Kontext und Kategorie die Namen gemeinsam genutzter Repository-Runbooks in Azure Automation und im Portal abbilden.

## Dateinamen in GitHub

Wir erwarten eine bestimmte Datei- und Namensstruktur in dem [gemeinsam genutzten Runbook-Repository](https://github.com/realmjoin/realmjoin-runbooks). RealmJoin importiert diese Ordner und Dateien aus GitHub in das Azure Automation-Konto des Kunden.

Bindestriche ("-") werden in Leerzeichen umgewandelt. Ordner werden verwendet, um Runbooks in „Kontext“ und „Kategorie“ zu trennen, z. B. `user\general`. Dateinamen sollten den Zweck des Skripts beschreiben.

Alle importierten Runbooks haben das Präfix `rjgit-`, gefolgt vom Kontext, entweder `org`, `group`, `user` oder `device` dann die Kategorie, zum Beispiel `_general_`, `_security_`, `_mail_` und der Name des Skripts selbst, wie etwa `add-additional-alias`.

### Beispiel:

Ein Runbook in GitHub in `user\general` namens `add-additional-alias.ps1` wird angezeigt als:

* `rjgit-user_general_add-additional-alias` im Azure Automation-Konto
* „Add Additional Alias“ im RealmJoin Portal bei einem Benutzerobjekt in der Runbook-Kategorie „Allgemein“.

Gängige Kategorien

* Allgemein
* Sicherheit
* E-Mail
* Benutzerinfo

Sie können zusätzliche Kategorien definieren, aber keine Kontexte.

### Wozu dient das?

Dies ermöglicht es, die Runbooks im RealmJoin Portal automatisch zu befüllen und zu benennen. Außerdem `rjgit-` hilft das Präfix, Namenskonflikte mit lokalen/kundenspezifischen Runbooks zu vermeiden. Runbooks ohne dieses Präfix werden von der Importlogik von RealmJoin nicht angetastet.

## Private / kundenspezifische Runbooks

Sie können private (lokale) Runbooks in Ihrem Azure Automation-Konto hosten. Diese Runbooks werden im RealmJoin Portal genau wie die geteilten Runbooks angezeigt. Lokale Runbooks werden von unserem Synchronisierungsprozess nicht angetastet und sind für andere Kunden nicht sichtbar.

Um ein lokales Runbook zu erstellen, entfernen Sie das `rjgit-` Präfix aus der Namenskonvention, während Sie den Rest der Namensstruktur beibehalten.

Beispiel: Sie möchten ein Runbook „Private Runbook“ im Kontext von Azure AD-Gruppen und der Kategorie „Allgemein“ anbieten. Sie würden es benennen `group_general_private-runbook` in Ihrem Azure Automation-Konto.

So sieht das in Azure Automation aus:

![Runbook-Namen in GitHub / Azure Automation](https://2298793958-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MkrcM7cKOpXKri1kVrh%2Fuploads%2Fdv7DajK5q1sVfnlQKurb%2Fnaming-ing1.png?alt=media\&token=136ada07-f577-4210-bd23-4cae6e83fce0)

Es wird im RealmJoin Portal dargestellt als:

![Runbook-Namen im RealmJoin Portal](https://2298793958-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MkrcM7cKOpXKri1kVrh%2Fuploads%2FwGCdu4ikL2Qvubpf3K2a%2Fnaming-ing2.png?alt=media\&token=917652eb-4cec-4607-8165-f62356477c87)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/de/automatisierung/runbooks/naming-conventions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
